<?xml version="1.0" encoding="ISO-8859-1"?>
<persistence-config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="../../../../defs/config-metier/Persistence.xsd">
    <layer name="mysql" persistence-model="xemelios-sql">
        <!-- persistence-model defines the way informations are defined -->
        <!-- only xemelios-sql is defined at this moment -->
        <document id="DocFacturesSansEngagementTiers" repository-import-xslt-file="">
            <table type="repository" base-name="FEN0052A_REPOSITORY" version="2"> CREATE TABLE IF
                NOT EXISTS ${base-name} ( ID VARCHAR(25), LIBELLE VARCHAR(100), COLLECTIVITE
                VARCHAR(15) NOT NULL, REPOSITORY LONGBLOB, ENCODING VARCHAR(20) ) TYPE MYISAM <patch
                    from-version="1">
                    <sql failonerror="false">ALTER TABLE ${base-name} ADD ID VARCHAR(25)</sql>
                    <sql failonerror="false">ALTER TABLE ${base-name} ADD LIBELLE VARCHAR(100)</sql>
                </patch>
            </table>
            <table type="special-key" base-name="FEN0052A_SPECIAL_KEYS" version="1"> CREATE TABLE IF
                NOT EXISTS ${base-name} ( COLLECTIVITE VARCHAR(15) NOT NULL, BUDGET VARCHAR(24) NOT
                NULL, INITIAL_DOC_NAME VARCHAR(100) NOT NULL, LIB1 VARCHAR(200), LIB2 VARCHAR(200),
                LIB3 VARCHAR(200), INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET) ) TYPE MYISAM </table>
            <table type="list-bc" base-name="FEN0052A_LIST_BUDG_COLL" version="1"> CREATE TABLE IF
                NOT EXISTS ${base-name} ( COLLECTIVITE VARCHAR(15) NOT NULL, BUDGET VARCHAR(24) NOT
                NULL, BUDGET_LIB VARCHAR(200), COLLECTIVITE_LIB VARCHAR(200), INITIAL_DOC_NAME
                VARCHAR(100) NOT NULL, INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET) ) TYPE MYISAM </table>
            
            <etat id="FEN0052A" import-xslt-file="fen0052a/etatFen0052a-import-mysql.xsl">
                
                
                <key1>
                    <path>/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/@added:generated-id</path>
                </key1>
                
                <table type="document" base-name="FEN0052A_FACTURE_DOCUMENTS" version="1">
                    CREATE TABLE IF NOT EXISTS ${base-name} ( 
                    COLLECTIVITE VARCHAR(15) NOT NULL, 
                    BUDGET VARCHAR(24) NOT NULL, 
                    INITIAL_DOC_NAME VARCHAR(100) NOT NULL, 
                    DOC_ID VARCHAR(100) NOT NULL, 
                    DOC LONGBLOB, 
                    ENCODING VARCHAR(20), 
                    INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID) 
                    ) TYPE MYISAM
                </table>
                <table type="index" id="FEN0052A_FACTURE_IX" base-name="FEN0052A_FACTURE_IX" version="3" main="true">
                    CREATE TABLE IF NOT EXISTS ${base-name} ( 
                    COLLECTIVITE VARCHAR(15) NOT NULL, 
                    BUDGET VARCHAR(24) NOT NULL, 
                    DOC_ID VARCHAR(100) NOT NULL, 
                    NODE_ID VARCHAR(50) NOT NULL, 
                    SERVICE VARCHAR(255) ,
                    ID_UNIQUE VARCHAR(75),
                    REFERENCE VARCHAR(255) ,
                    PRENOM_RESP VARCHAR(255) ,
                    CP VARCHAR(255) ,
                    CODE_PAYS VARCHAR(255) ,
                    EMAIL VARCHAR(255) ,
                    DOC_DATE VARCHAR(255) ,
                    LINETXT VARCHAR(255) ,
                    COD_LIB VARCHAR(255) ,
                    CODE_PAYS_OSD VARCHAR(255) ,
                    CONTACT VARCHAR(255) ,
                    FAXNR VARCHAR(255) ,
                    LIEU VARCHAR(255) ,
                    QUAL_RESP VARCHAR(255) ,
                    ID_AMG VARCHAR(255) ,
                    TEXTE_LIB VARCHAR(255) ,
                    TYPE_FLUX VARCHAR(255) ,
                    NOM_RESP VARCHAR(255) ,
                    ID_TITRE_AMG VARCHAR(255) ,
                    TEXTE1 VARCHAR(255) ,
                    NUM_RUE VARCHAR(255) ,
                    NUM_FACT VARCHAR(255) ,
                    CURRENCY VARCHAR(255) ,
                    TYPE_TITRE VARCHAR(255) ,
                    COMP_CODE VARCHAR(255) ,
                    NUM_DOSSIER VARCHAR(255) ,
                    TEXTE VARCHAR(255) ,
                    TELNR VARCHAR(255) ,
                    NOM_RUE VARCHAR(255) ,
                    INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID), 
                    INDEX IX_${base-name}_DC (DOC_ID) 
                    ) TYPE MYISAM
                    <patch from-version="1">
                        <sql failonerror="false">ALTER TABLE ${base-name} ADD ID_UNIQUE VARCHAR(75)</sql>
                    </patch>
                    <patch from-version="2">
                        <sql failonerror="false">ALTER TABLE ${base-name} ADD CODE_PAYS_OSD  VARCHAR(255)</sql>
                    </patch>
                    
                </table>
                
                <table type="index" id="FEN0052A_FACTURE_LIGNE_POSTE_IX" base-name="FEN0052A_FACTURE_LIGNE_POSTE_IX" version="1" main="false" based-on="key1">
                    CREATE TABLE IF NOT EXISTS ${base-name} ( 
                    COLLECTIVITE VARCHAR(15) NOT NULL, 
                    BUDGET VARCHAR(24) NOT NULL, 
                    DOC_ID VARCHAR(100) NOT NULL, 
                    NODE_ID VARCHAR(50) NOT NULL, 
                    T_FONC VARCHAR(255) ,
                    COMPT VARCHAR(255) ,
                    POSTE VARCHAR(255) ,
                    ACTIVITE VARCHAR(255) ,
                    LINETXT VARCHAR(255) ,
                    TYPE_TIERS VARCHAR(255) ,
                    PROFIT_CTR VARCHAR(255) ,
                    FUNC_AREA VARCHAR(255) ,
                    COMPTE_GENE VARCHAR(255) ,
                    POSTE_TEXTE VARCHAR(255) ,
                    NATURE_MINIST VARCHAR(255) ,
                    LOCAL_MINIST VARCHAR(255) ,
                    MONTANT VARCHAR(255) ,
                    ID_AMG VARCHAR(255) ,
                    WBS_ELEM_E VARCHAR(255) ,
                    FUND VARCHAR(255) ,
                    PMNTTRMS VARCHAR(255) ,
                    LOCAL_INTER_MINIST VARCHAR(255) ,
                    CMMT_ITEM VARCHAR(255) ,
                    COST_CENTER VARCHAR(255) ,
                    ID_TITRE_AMG VARCHAR(255) ,
                    AFFECTATION VARCHAR(255) ,
                    GR_COMPTES VARCHAR(255) ,
                    AXE1 VARCHAR(255) ,
                    ID_FONCT_TIERS VARCHAR(255) ,
                    PRESAGE VARCHAR(255) ,
                    TYPE_TITRE VARCHAR(255) ,
                    TAX_CODE VARCHAR(255) ,
                    ID_FONCT_COMPT VARCHAR(255) ,
                    CPER VARCHAR(255) ,
                    PYMT_METH VARCHAR(255) ,
                    FUNDS_CTR VARCHAR(255) ,
                    INDEX IX_${base-name}_BC (COLLECTIVITE,BUDGET,DOC_ID), 
                    INDEX IX_${base-name}_DC (DOC_ID) 
                    ) TYPE MYISAM
                </table>
                
                
                <!-- CRITERIA /FEN0052A -->
                
                <!-- CRITERIA /FEN0052A/FACTURE -->
                <criteria id="CRI_FEN0052A_FACTURE_SERVICE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_SERVICE">
                    <where-clause>fn:string-compare(${table}.${column},SERVICE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_REFERENCE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_REFERENCE">
                    <where-clause>fn:string-compare(${table}.${column},REFERENCE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_PRENOM_RESP" type="1" sql-index-id="SQI_FEN0052A_FACTURE_PRENOM_RESP">
                    <where-clause>fn:string-compare(${table}.${column},PRENOM_RESP)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_CP" type="1" sql-index-id="SQI_FEN0052A_FACTURE_CP">
                    <where-clause>fn:string-compare(${table}.${column},CP)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_COUNTRY" type="1" sql-index-id="SQI_FEN0052A_FACTURE_COUNTRY">
                    <where-clause>fn:string-compare(${table}.${column},COUNTRY)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_EMAIL" type="1" sql-index-id="SQI_FEN0052A_FACTURE_EMAIL">
                    <where-clause>fn:string-compare(${table}.${column},EMAIL)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_DOC_DATE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_DOC_DATE">
                    <where-clause>fn:string-compare(${table}.${column},DOC_DATE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LINETXT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LINETXT">
                    <where-clause>fn:string-compare(${table}.${column},LineTxt)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_CODE_LIB" type="1" sql-index-id="SQI_FEN0052A_FACTURE_CODE_LIB">
                    <where-clause>fn:string-compare(${table}.${column},CODE_LIB)</where-clause>
                </criteria>
                
                <criteria id="CRI_FEN0052A_FACTURE_CODE_PAYS_OSD" type="1" sql-index-id="SQI_FEN0052A_FACTURE_CODE_PAYS_OSD">
                    <where-clause>fn:string-compare(${table}.${column},CODE_PAYS_OSD)</where-clause>
                </criteria>
                
                <criteria id="CRI_FEN0052A_FACTURE_CONTACT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_CONTACT">
                    <where-clause>fn:string-compare(${table}.${column},CONTACT)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_FAXNR" type="1" sql-index-id="SQI_FEN0052A_FACTURE_FAXNR">
                    <where-clause>fn:string-compare(${table}.${column},FAXNR)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_CITY" type="1" sql-index-id="SQI_FEN0052A_FACTURE_CITY">
                    <where-clause>fn:string-compare(${table}.${column},CITY)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_QUAL_RESP" type="1" sql-index-id="SQI_FEN0052A_FACTURE_QUAL_RESP">
                    <where-clause>fn:string-compare(${table}.${column},QUAL_RESP)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_ID_AMG" type="1" sql-index-id="SQI_FEN0052A_FACTURE_ID_AMG">
                    <where-clause>fn:string-compare(${table}.${column},ID_AMG)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_TEXTE_LIB" type="1" sql-index-id="SQI_FEN0052A_FACTURE_TEXTE_LIB">
                    <where-clause>fn:string-compare(${table}.${column},TEXTE_LIB)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_TYPE_FLUX" type="1" sql-index-id="SQI_FEN0052A_FACTURE_TYPE_FLUX">
                    <where-clause>fn:string-compare(${table}.${column},TYPE_FLUX)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_NOM_RESP" type="1" sql-index-id="SQI_FEN0052A_FACTURE_NOM_RESP">
                    <where-clause>fn:string-compare(${table}.${column},NOM_RESP)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_ID_TITRE_AMG" type="1" sql-index-id="SQI_FEN0052A_FACTURE_ID_TITRE_AMG">
                    <where-clause>fn:string-compare(${table}.${column},ID_TITRE_AMG)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_TEXTE1" type="1" sql-index-id="SQI_FEN0052A_FACTURE_TEXTE1">
                    <where-clause>fn:string-compare(${table}.${column},TEXTE1)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_NUM_RUE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_NUM_RUE">
                    <where-clause>fn:string-compare(${table}.${column},NUM_RUE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_NUM_FACT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_NUM_FACT">
                    <where-clause>fn:string-compare(${table}.${column},NUM_FACT)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_CURRENCY" type="1" sql-index-id="SQI_FEN0052A_FACTURE_CURRENCY">
                    <where-clause>fn:string-compare(${table}.${column},CURRENCY)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_TYPE_TITRE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_TYPE_TITRE">
                    <where-clause>fn:string-compare(${table}.${column},TYPE_TITRE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_COMP_CODE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_COMP_CODE">
                    <where-clause>fn:string-compare(${table}.${column},COMP_CODE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_NUM_DOSSIER" type="1" sql-index-id="SQI_FEN0052A_FACTURE_NUM_DOSSIER">
                    <where-clause>fn:string-compare(${table}.${column},NUM_DOSSIER)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_TEXTE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_TEXTE">
                    <where-clause>fn:string-compare(${table}.${column},TEXTE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_TELNR" type="1" sql-index-id="SQI_FEN0052A_FACTURE_TELNR">
                    <where-clause>fn:string-compare(${table}.${column},TELNR)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_NOM_RUE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_NOM_RUE">
                    <where-clause>fn:string-compare(${table}.${column},NOM_RUE)</where-clause>
                </criteria>
                
                <!-- CRITERIA /FEN0052A/FACTURE/LIGNE_POSTE -->
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_TRC_FONC" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TRC_FONC">
                    <where-clause>fn:string-compare(${table}.${column},TRC_FONC)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_COMPT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_COMPT">
                    <where-clause>fn:string-compare(${table}.${column},COMPT)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_POSTE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_POSTE">
                    <where-clause>fn:string-compare(${table}.${column},POSTE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_ACTIVITE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ACTIVITE">
                    <where-clause>fn:string-compare(${table}.${column},ACTIVITE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_LINETXT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_LINETXT">
                    <where-clause>fn:string-compare(${table}.${column},LineTxt)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_TYPE_TIERS" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TYPE_TIERS">
                    <where-clause>fn:string-compare(${table}.${column},TYPE_TIERS)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_PROFIT_CTR" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PROFIT_CTR">
                    <where-clause>fn:string-compare(${table}.${column},PROFIT_CTR)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_FUNC_AREA" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_FUNC_AREA">
                    <where-clause>fn:string-compare(${table}.${column},FUNC_AREA)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_COMPTE_GENE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_COMPTE_GENE">
                    <where-clause>fn:string-compare(${table}.${column},COMPTE_GENE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_POSTE_TEXTE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_POSTE_TEXTE">
                    <where-clause>fn:string-compare(${table}.${column},POSTE_TEXTE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_NATURE_MINIST" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_NATURE_MINIST">
                    <where-clause>fn:string-compare(${table}.${column},NATURE_MINIST)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_LOCAL_MINIST" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_LOCAL_MINIST">
                    <where-clause>fn:string-compare(${table}.${column},LOCAL_MINIST)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_MONTANT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_MONTANT">
                    <where-clause>fn:string-compare(${table}.${column},MONTANT)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_ID_AMG" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_AMG">
                    <where-clause>fn:string-compare(${table}.${column},ID_AMG)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_WBS_ELEM_E" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_WBS_ELEM_E">
                    <where-clause>fn:string-compare(${table}.${column},WBS_ELEM_E)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_FUND" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_FUND">
                    <where-clause>fn:string-compare(${table}.${column},FUND)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_PMNTTRMS" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PMNTTRMS">
                    <where-clause>fn:string-compare(${table}.${column},PMNTTRMS)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_LOCAL_INTER_MINIST" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_LOCAL_INTER_MINIST">
                    <where-clause>fn:string-compare(${table}.${column},LOCAL_INTER_MINIST)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_CMMT_ITEM" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_CMMT_ITEM">
                    <where-clause>fn:string-compare(${table}.${column},CMMT_ITEM)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_COST_CENTER" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_COST_CENTER">
                    <where-clause>fn:string-compare(${table}.${column},COST_CENTER)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_ID_TITRE_AMG" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_TITRE_AMG">
                    <where-clause>fn:string-compare(${table}.${column},ID_TITRE_AMG)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_AFFECTATION" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_AFFECTATION">
                    <where-clause>fn:string-compare(${table}.${column},AFFECTATION)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_GR_COMPTES" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_GR_COMPTES">
                    <where-clause>fn:string-compare(${table}.${column},GR_COMPTES)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_AXE1" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_AXE1">
                    <where-clause>fn:string-compare(${table}.${column},AXE1)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_ID_FONCT_TIERS" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_FONCT_TIERS">
                    <where-clause>fn:string-compare(${table}.${column},ID_FONCT_TIERS)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_PRESAGE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PRESAGE">
                    <where-clause>fn:string-compare(${table}.${column},PRESAGE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_TYPE_TITRE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TYPE_TITRE">
                    <where-clause>fn:string-compare(${table}.${column},TYPE_TITRE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_TAX_CODE" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TAX_CODE">
                    <where-clause>fn:string-compare(${table}.${column},TAX_CODE)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_ID_FONCT_COMPT" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_FONCT_COMPT">
                    <where-clause>fn:string-compare(${table}.${column},ID_FONCT_COMPT)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_CPER" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_CPER">
                    <where-clause>fn:string-compare(${table}.${column},CPER)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_PYMT_METH" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PYMT_METH">
                    <where-clause>fn:string-compare(${table}.${column},PYMT_METH)</where-clause>
                </criteria>
                <criteria id="CRI_FEN0052A_FACTURE_LIGNE_POSTE_FUNDS_CTR" type="1" sql-index-id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_FUNDS_CTR">
                    <where-clause>fn:string-compare(${table}.${column},FUNDS_CTR)</where-clause>
                </criteria>
                
                
                <!-- SQL-INDEX /FEN0052A -->
                
                <!-- SQL-INDEX /FEN0052A/FACTURE -->
                <sql-index id="EF_UNIQUE_ID_IX" table="FEN0052A_FACTURE_IX" column="ID_UNIQUE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/@ano:unique-id" datatype="string"/>
                <sql-index id="SQI_FEN0052A_FACTURE__NODE_ID" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/@added:generated-id" column="NODE_ID" datatype="string" table="FEN0052A_FACTURE_IX"/>
                <sql-index id="SQI_FEN0052A_FACTURE_SERVICE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:SERVICE/text()" datatype="string" column="SERVICE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_REFERENCE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:REFERENCE/text()" datatype="string" column="REFERENCE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_PRENOM_RESP" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:PRENOM_RESP/text()" datatype="string" column="PRENOM_RESP" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_CP" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:CP/text()" datatype="string" column="CP" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_COUNTRY" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:COUNTRY/text()" datatype="string" column="CODE_PAYS" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_EMAIL" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:EMAIL/text()" datatype="string" column="EMAIL" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_DOC_DATE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:DOC_DATE/text()" datatype="string" column="DOC_DATE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LINETXT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_NOTE/@LineTxt" datatype="string" column="LINETXT" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_CODE_LIB" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:CODE_LIB/text()" datatype="string" column="COD_LIB" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_CODE_PAYS_OSD" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:CODE_PAYS_OSD/text()" datatype="string" column="CODE_PAYS_OSD" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_CONTACT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:CONTACT/text()" datatype="string" column="CONTACT" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_FAXNR" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:FAXNR/text()" datatype="string" column="FAXNR" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_CITY" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:CITY/text()" datatype="string" column="LIEU" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_QUAL_RESP" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:QUAL_RESP/text()" datatype="string" column="QUAL_RESP" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_ID_AMG" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_NOTE/n:ID_AMG/text()" datatype="string" column="ID_AMG" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_TEXTE_LIB" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:TEXTE_LIB/text()" datatype="string" column="TEXTE_LIB" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_TYPE_FLUX" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:TYPE_FLUX/text()" datatype="string" column="TYPE_FLUX" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_NOM_RESP" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:NOM_RESP/text()" datatype="string" column="NOM_RESP" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_ID_TITRE_AMG" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_NOTE/n:ID_TITRE_AMG/text()" datatype="string" column="ID_TITRE_AMG" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_TEXTE1" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:TEXTE1/text()" datatype="string" column="TEXTE1" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_NUM_RUE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:NUM_RUE/text()" datatype="string" column="NUM_RUE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_NUM_FACT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:NUM_FACT/text()" datatype="string" column="NUM_FACT" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_CURRENCY" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:CURRENCY/text()" datatype="string" column="CURRENCY" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_TYPE_TITRE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_NOTE/n:TYPE_TITRE/text()" datatype="string" column="TYPE_TITRE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_COMP_CODE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:COMP_CODE/text()" datatype="string" column="COMP_CODE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_NUM_DOSSIER" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:ENTETE/n:NUM_DOSSIER/text()" datatype="string" column="NUM_DOSSIER" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_TEXTE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_NOTE/n:TEXTE/text()" datatype="string" column="TEXTE" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_TELNR" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:TELNR/text()" datatype="string" column="TELNR" table="FEN0052A_FACTURE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_NOM_RUE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:RESPONSABLE/n:NOM_RUE/text()" datatype="string" column="NOM_RUE" table="FEN0052A_FACTURE_IX" />
                
                <!-- SQL-INDEX /FEN0052A/FACTURE/LIGNE_POSTE -->
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE__NODE_ID" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/@added:generated-id" column="NODE_ID" datatype="string" table="FEN0052A_FACTURE_LIGNE_POSTE_IX"/>
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TRC_FONC" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:TRC_FONC/text()" datatype="string" column="T_FONC" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_COMPT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:COMPT/text()" datatype="string" column="COMPT" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_POSTE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:POSTE/text()" datatype="string" column="POSTE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ACTIVITE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:ACTIVITE/text()" datatype="string" column="ACTIVITE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_LINETXT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/@LineTxt" datatype="string" column="LINETXT" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TYPE_TIERS" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:TYPE_TIERS/text()" datatype="string" column="TYPE_TIERS" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PROFIT_CTR" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:PROFIT_CTR/text()" datatype="string" column="PROFIT_CTR" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_FUNC_AREA" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:FUNC_AREA/text()" datatype="string" column="FUNC_AREA" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_COMPTE_GENE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:COMPTE_GENE/text()" datatype="string" column="COMPTE_GENE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_POSTE_TEXTE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:POSTE_TEXTE/text()" datatype="string" column="POSTE_TEXTE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_NATURE_MINIST" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:NATURE_MINIST/text()" datatype="string" column="NATURE_MINIST" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_LOCAL_MINIST" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:LOCAL_MINIST/text()" datatype="string" column="LOCAL_MINIST" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_MONTANT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:MONTANT/text()" datatype="string" column="MONTANT" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_AMG" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:ID_AMG/text()" datatype="string" column="ID_AMG" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_WBS_ELEM_E" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:WBS_ELEM_E/text()" datatype="string" column="WBS_ELEM_E" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_FUND" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:FUND/text()" datatype="string" column="FUND" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PMNTTRMS" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:PMNTTRMS/text()" datatype="string" column="PMNTTRMS" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_LOCAL_INTER_MINIST" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:LOCAL_INTER_MINIST/text()" datatype="string" column="LOCAL_INTER_MINIST" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_CMMT_ITEM" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:CMMT_ITEM/text()" datatype="string" column="CMMT_ITEM" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_COST_CENTER" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:COST_CENTER/text()" datatype="string" column="COST_CENTER" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_TITRE_AMG" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:ID_TITRE_AMG/text()" datatype="string" column="ID_TITRE_AMG" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_AFFECTATION" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:AFFECTATION/text()" datatype="string" column="AFFECTATION" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_GR_COMPTES" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:GR_COMPTES/text()" datatype="string" column="GR_COMPTES" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_AXE1" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/AXE1/text()" datatype="string" column="AXE1" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_FONCT_TIERS" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:ID_FONCT_TIERS/text()" datatype="string" column="ID_FONCT_TIERS" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PRESAGE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:PRESAGE/text()" datatype="string" column="PRESAGE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TYPE_TITRE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:TYPE_TITRE/text()" datatype="string" column="TYPE_TITRE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_TAX_CODE" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:TAX_CODE/text()" datatype="string" column="TAX_CODE" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_ID_FONCT_COMPT" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:ID_FONCT_COMPT/text()" datatype="string" column="ID_FONCT_COMPT" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_CPER" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:CPER/text()" datatype="string" column="CPER" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_PYMT_METH" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:PYMT_METH/text()" datatype="string" column="PYMT_METH" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                <sql-index id="SQI_FEN0052A_FACTURE_LIGNE_POSTE_FUNDS_CTR" path="/n:DocFacturesSansEngagementTiers/n:FEN0052A/n:FACTURE/n:LIGNE_POSTE/n:FUNDS_CTR/text()" datatype="string" column="FUNDS_CTR" table="FEN0052A_FACTURE_LIGNE_POSTE_IX" />
                
                <element id="FEN0052A_FACTURE_LIGNE_POSTE_IX"> 
                    <sql-count>COUNT(DISTINCT(CONCAT(FEN0052A_FACTURE_IX.DOC_ID,FEN0052A_FACTURE_LIGNE_POSTE_IX.NODE_ID)))</sql-count>
                    <special-cond>FEN0052A_FACTURE_LIGNE_POSTE_IX.NODE_ID IS NOT NULL</special-cond>
                </element>
                
            </etat>
            
        </document>
    </layer>
</persistence-config>
